Subject: Re: bug#37755: Logic in init_fringe_bitmap should be moved to backends (maybe rif->define_fringe_bitmap)

From: Carlos Pita <[email-masked]>
Date: Sat, 26 Oct 2019 12:46:08 -0300

>
>
> Sorry, we cannot just ignore the dumping issue.  We don't want to
> waste CPU cycles each startup to regenerate these standard bitmaps.
> So the fringe bit patterns need to be initialized at dump time and
> dumped together with all the other stuff we prepare at that time.
>

Ok, I'm not sure about how dumping works, but the patterns that you store
are backend specific. Does the dumper take that into account?

>
>
> Does this proposal resolve the difficulty?  If not, please point out
> what else is missing.
>

I just thought that the change decoupled and simplified the code, but I can
always add an initialization step to the rif, previous to the definition of
the actual bitmaps used by the backend.